Subject: Re: [PATCH] Move worktree setup out of setup_git_directory*

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Feb 2008 11:01:08 -0800

"Nguyen Thai Ngoc Duy" <[email-masked]> writes:

> Interesting. It currently does chdir(). But it is pointless now as
> worktree should not be accessed until setup_work_tree() is called.
> setup_git_directory* should not return a prefix at all.
> ...
> I guess I just need to verify your statements and put them to
> Doc/technical/api-setup.txt ;)

The above, as I said, was written out of thin air without
re-reading the current code nor carefully reading what your
patch does, so I am afraid there needs a lot more than that
to happen before we have something to validate the callers
against, but I think you got why I think it is a good idea to
have that documented.